#ifndef _LCDDISPLAY_H

#define LCDserial1 Serial1
#define LCDserial2 Serial2

#if LCD_MAIN
    #define EXTERN
    #define INIT(x) =x
    #define INIT2(x,y) =x,y
    #define INIT3(x,y,z) =x,y,z
#else
    #define EXTERN extern
    #define INIT(x)
    #define INIT2(x,y)
    #define INIT3(x,y,z)
#endif

EXTERN HardwareSerial *LCDportarray[MAXDISPLAYS] INIT2({&LCDserial1, &LCDserial2});

void setupLCD (void);
void defineDEGsym (unsigned char);
void LCDbacklight (unsigned char, unsigned int );
void LCDline (unsigned char, unsigned char );
void LCDclr (unsigned char);
void LCDquadpotMin (unsigned char, unsigned char);
void LCDquadpotMax (unsigned char, unsigned char);
void LCDquadpotPos (unsigned char, unsigned char);
void LCDprintIP (unsigned char, byte *);

#define _LCDDISPLAY_H 1
#endif
