#ifndef SYSTEM_STATE_H
#define SYSTEM_STATE_H

typedef enum { ILLEGAL, IDLE, WOPEN, WCLOSED, ARMED, ALERT, REBOOT, NIGHT, NITEALRT } Sys_State_Type ;
Sys_State_Type system_state, last_system_state;

const char StrIllegal[] PROGMEM = "Illegal";
const char StrIdle[] PROGMEM = "IDLE";
const char StrWopen[] PROGMEM = "WOPEN";
const char StrWclosed[] PROGMEM = "WCLOSED";
const char StrArmed[] PROGMEM = "ARMED";
const char StrAlert[] PROGMEM = "ALERT";
const char StrReboot[] PROGMEM = "REBOOT";
const char StrNight[] PROGMEM = "NIGHT";
const char StrNiteAlrt[] PROGMEM = "NITEALRT";

const char * const sstate_names[] PROGMEM = {
    StrIllegal,
    StrIdle,
    StrWopen,
    StrWclosed,
    StrArmed,
    StrAlert,
    StrReboot,
    StrNight,
    StrNiteAlrt
};

#endif
