#ifndef DS3231_H
#define DS3231_H

#include <Arduino.h>
#include <Wire.h>
#include <Time.h>

class DS3231
{
  public:
    DS3231();
    ~DS3231();
    static time_t get();
    static uint8_t set(time_t t);

  private:
    static uint8_t decToBcd(uint8_t val);
    static uint8_t bcdToDec(uint8_t val);
};

#endif
